%%
%% This is file `dfgproposal.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% dfgproposal.dtx  (with options: `cls')
%%
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{iffproposal}[2018/11/06 v0.1 IFF HSU Proposal]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{dfgproposal}}
\ProcessOptions%
\LoadClass{dfgproposal}%
\geometry{left=2cm, right=2cm}%
\definecolor{hsu}{HTML}{a50034}
\RequirePackage{mathptmx}
\RequirePackage[T1]{fontenc}
\RequirePackage{scrextend}
\RequirePackage{iffpdata}
\RequirePackage{tabularx}
\RequirePackage{booktabs}
\RequirePackage{sectsty}
\RequirePackage{setspace}
    \singlespacing
\sectionfont{\fontsize{12pt}{17pt}\selectfont\normalfont\underline}
\subsectionfont{\fontsize{12pt}{17pt}\selectfont\normalfont}
\subsubsectionfont{\fontsize{12pt}{17pt}\selectfont\normalfont}

\fancyhf{}
\fancyhead[C]{\ifnum\thepage>0-\thepage-\fi}
\renewcommand{\headrulewidth}{0pt}


\newcommand\prop@iffadd@table{
\def\@@table{}{
\@for\@I:=\prop@gen@Is\do{%
  \let\tabularnewline\relax\let\hline\relax
  \renewcommand{\a}{\@nameuse{wa@person@\@I @affiliation}}
  \renewcommand{\d}{\@nameuse{wa@person@\@I @department}}
  \xdef\@@table{\@@table\@nameuse{wa@person@\@I @personaltitle} \@nameuse{wa@person@\@I @name}}
  \xdef\@@table{\@@table&\@nameuse{wa@institution@\a @name}}
  \xdef\@@table{\@@table&\@nameuse{wa@institution@\d @name}}
  \xdef\@@table{\@@table&\@nameuse{wa@person@\@I @worktel}}
  \xdef\@@table{\@@table&\@nameuse{wa@person@\@I @email}\tabularnewline}
}
}
\begin{tabularx}{\linewidth}{|l|X|l|l|l|}
  \toprule
  Name & Fakultät & Professur & Telefon & E-Mail \\
  \midrule
\@@table
\bottomrule
\end{tabularx}
}
\renewenvironment{prop@proposal}%
{%
\fontsize{12pt}{17pt}\selectfont
\tikz[overlay,remember picture] \node[opacity=1.0, at = (current page.north), xshift=7.5cm, yshift=-2.5cm] {\includegraphics[height=2.5cm]{HSU_Logo.jpg}};
\begin{center}
  \vspace*{2cm}
  \large
  \color{hsu}
  \textbf{
Interne Forschungsförderung 2019 (IFF-2019) \\
der Helmut-Schmidt-Universität / Universität der Bundeswehr Hamburg \\
(HSU/UniBw H)}
\end{center}

\begin{center}
  \Large \textbf{Antragsformular}
\end{center}

\hspace*{\fill}  (Version 171017))
\vspace*{1cm}

\noindent
An den \\
Vizepräsidenten Forschung \\
Prof. Dr. R. Lammering \\
Fakultät Maschinenbau \\

\noindent\underline{über} \\
Forschungsreferent\\
Dr. Urny \\
Präsidialbereich \\
\vspace*{0.5cm}

\noindent
\textbf{Titel des IFF-Antrags: \prop@gen@title}

\section{Angaben zu den Antragstellern der HSU/UniBw H}
\subsection{Hauptantragsteller/in}
\begin{addmargin}[1cm]{2cm}
\@for\@I:=\prop@gen@PIs\do{%
  \renewcommand{\a}{\@nameuse{wa@person@\@I @affiliation}}
  \renewcommand{\d}{\@nameuse{wa@person@\@I @department}}
  Name: \@nameuse{wa@person@\@I @personaltitle} \@nameuse{wa@person@\@I @name}\\
  Fakultät: \@nameuse{wa@institution@\a @name}  \\
  Professur: \@nameuse{wa@institution@\d @name} \\
  Telefon: \@nameuse{wa@person@\@I @worktel} \\
  E-Mail: \@nameuse{wa@person@\@I @email} \\
}
\end{addmargin}
\ifdefined\prop@gen@eigenestelle\scalebox{2}{\XBox}\else\scalebox{2}{\Square}\fi~~Nachwuchswissenschaftler/in, Aufstockung der eigenen Stelle \\
\hspace*{0.7cm}Untertitel, der aufgestockt werden soll: \ifdefined\prop@gen@eigenestelle\prop@gen@untertitel\fi
\subsection{Mitantragsteller/innen an der HSU/UniBw H}
\prop@iffadd@table
\section{Angaben zum Antrag, dessen Vorbereitung durch die IFF gefördert werden soll}
\subsection{Drittmittelgeber und Zielförderlinie}

\begin{addmargin}[1cm]{2cm}
  \begin{description}
    \item[Drittmittelgeber:] \@ifundefined{prop@gen@drittmittelgeber}{????}{\prop@gen@drittmittelgeber}
    \item[Zielförderlinie:] \@ifundefined{prop@gen@drittmittelgeber}{????}{\prop@gen@foerderlinie}
  \end{description}
\end{addmargin}
\subsection{Rolle der Antragstellerin/des Antragstellers im avisierten DFG-Projekt (Koordinator/in,
Unterkoordinator/in, Teilnehmer/in):}
\begin{addmargin}[1cm]{2cm}
  \begin{center}
\large{\textbf{\prop@gen@role}}
\end{center}
\end{addmargin}
\subsection{Teilnehmende Partnerorganisationen außerhalb der HSU/UniBw H}
%TODO
\begin{addmargin}[1cm]{2cm}
  \begin{center}
\large{\textbf{keine}}
\end{center}
\end{addmargin}
\subsection{Daten zum beabsichtigten DFG-Antrag}
\begin{addmargin}[1cm]{2cm}
\begin{description}
  \item[Voraussichtliche Gesamtlaufzeit:] \@ifundefined{prop@gen@totalduration}{????}{\prop@gen@totalduration}
  \item[Voraussichtlicher Abgabetermin:] \@ifundefined{prop@gen@abgabe}{????}{\prop@gen@abgabe}
  \item[Voraussichtlicher Beginn der Förderung:]  \prop@gen@start
  \item[Voraussichtliche Höhe des Gesamtprojektbudgets (in EUR):]\@ifundefined{prop@gen@summe}{????}{\prop@gen@summe}
  \item[Voraussichtliche Höhe des Projektbudgets (in EUR) HSU/UniBw H:]\@ifundefined{prop@gen@hsusumme}{\prop@gen@summe}{\prop@gen@hsusumme}
\end{description}
\end{addmargin}
}{

}%
\endinput%
%%
